<?php
/**
 * This file is part of TheCartPress-GermanSetup.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

if ( isset( $_REQUEST['tcp-configure-german'] ) ) :
	$settings = get_option( 'tcp_settings' ); ?>
<div id="message" class="updated">
	<?php if ( isset( $_REQUEST['tcp_formato_numerico'] ) ) : ?>
		<p>Zahlenformat ist nun 9.999,9</p><?php
		$settings['decimal_currency']	= 2;
		$settings['decimal_point']		= ',';
		$settings['thousands_separator']	= '.';
	endif; ?>
	<?php if ( isset( $_REQUEST['tcp_moneda'] ) ) : ?>
		<p>W&auml;hrung ist nun Euro (EUR)</p><?php
		$settings['currency'] = 'EUR';
	endif; ?>
	<?php if ( isset( $_REQUEST['tcp_formato_moneda'] ) ) : ?>
		<p>W&auml;hrungsdarstellung ist nun 999 €</p><?php
		$settings['currency_layout'] = '%2$s %1$s';
	endif; ?>
	<?php if ( isset( $_REQUEST['tcp_unidad_peso'] ) ) : ?>
		<p>Gewichtseinheit ist nun Kg.</p><?php
		$settings['unit_weight'] = 'Kg.';
	endif; ?>
	<?php if ( isset( $_REQUEST['tcp_pais_base'] ) ) : ?>
		<p>Basisland ist nun Deutschland (DE).</p><?php
		$settings['country'] = 'DE';
	endif; ?>
	<?php if ( isset( $_REQUEST['tcp_pais_impuestos'] ) ) : ?>
		<p>Steuer-Basisland ist nun Deutschland (DE).</p><?php
		$settings['default_tax_country'] = 'DE';
	endif; ?>
</div>
<?php 
update_option( 'tcp_settings', $settings );
global $thecartpress;
if ( $thecartpress ) $thecartpress->load_settings();
endif; ?>
<div class="wrap">
	<h2>Setup f&uuml;r Deutschland</h2>
	<ul class="subsubsub"></ul>
	<div class="clear"></div>
	<p>Dieser Panel erlaubt es dir TheCartPress in Deutsch aufzusetzen.</p>
	<form method="post">
	<p>Nehme folgende &Auml;nderungen vor:</p>
	<ul>
		<li><label><input type="checkbox" name="tcp_formato_numerico" checked="true"/> Zahlenformat: 9.999,9</label> Aktuelles Zahlenformat <?php tcp_number_format_example( 9999.9, false ); ?></li>
		<li><label><input type="checkbox" name="tcp_moneda" checked="true"/> W&auml;hrung: Euro. Aktuelle W&auml;hrung ist <?php tcp_the_currency(); ?></li>
		<li><label><input type="checkbox" name="tcp_formato_moneda" checked="true"/> W&auml;hrungsdarstellung: 999 &euro;. Aktuelle Darstellung ist <?php echo tcp_format_the_price( 999 ); ?></li>
		<li><label><input type="checkbox" name="tcp_unidad_peso" checked="true"/> Gewichtseinheit: Kg. Aktuelle Gewichtseinheit ist <?php tcp_the_unit_weight(); ?></li>
		<li><label><input type="checkbox" name="tcp_pais_base" checked="true"/> Basisland: DE. Aktuelles Basisland ist <?php global $thecartpress; if ( $thecartpress ) echo $thecartpress->settings['country']; ?></li>
		<li><label><input type="checkbox" name="tcp_pais_impuestos" checked="true"/> Steuer-Basisland: DE. Aktuelles Steuer-Basisland ist <?php echo tcp_get_default_tax_country(); ?></li>
	</ul>
	<input type="submit" value="Setup" name="tcp-configure-german" class="button-primary"/>
	</form>
</div>
